
function template(screen_key,list_of_uniq_id,focus_func,isPowerOn){
var map=[
[1,0,0,0],
[2,0,0,0],
[3,0,0,0],
[4,5,5,6]
];
this._create_map(map);
this.superClass=Screen;
this.superClass(screen_key,list_of_uniq_id,focus_func,isPowerOn);
var logo_freesat=(SU_IS_GBL15)?"logo_freesat_2015.png":"logo_freesat.png";
this.logo_freesat=new gimage({translate:[-668,352,0],visible_p:false,
src:IMG_PATH+logo_freesat});
this.logo_freeview=new gimage({translate:[-668,352,0],visible_p:false,
src:IMG_PATH+"logo_freeview.png"});
this.logo_other=new gimage({translate:[-668,352,0],visible_p:false,
src:IMG_PATH+"logo_myhomescreen.png"});
this.accessory.components.push(this.logo_freesat,this.logo_freeview,this.logo_other);
this.tvplayer_symbol="UK_SCREEN"+(new Date().getTime());

var self=this;
var make_tvplayer_hook_func=function(){
var closure_obj=self;var tvplayer_hook_func=function(){
return closure_obj.tvplayer_hook_func.apply(closure_obj,arguments);}
return tvplayer_hook_func;};
this.update();
addTVPlayerEventHook(this.tvplayer_symbol,tvplayer.INPUT_CHANGE,make_tvplayer_hook_func());};
template.prototype=new Screen();
template.prototype.destroy=function (){
delTVPlayerEventHook(this.tvplayer_symbol);
return Screen.prototype.destroy.apply(this,arguments);};
template.prototype.tvplayer_hook_func=function(stg,obj,ev,input){
this.update();
return true;};
template.prototype.suspend=function (bool){
this.update();
return Screen.prototype.suspend.apply(this,arguments);};
template.prototype.update=function(){
this.logo_freesat.visible_p=false;
this.logo_freeview.visible_p=false;
this.logo_other.visible_p=false;
var input=tvplayer.input;
switch(input){
case tvplayer.TV_INPUT_FREESAT:
this.logo_freesat.visible_p=true;
break;
case tvplayer.TV_INPUT_TERRESTRIAL:
this.logo_freeview.visible_p=true;
break;
default:
this.logo_other.visible_p=true;
break;};
force_redraw();};
